@echo off
rem  %1 = powerkey program disk drive (A or B) for PowerKey install
rem  %2 = drive to install powerkey to (e.g., C)
rem  %3 = drive to install keyboards to
rem  %4 = WP macro subdirectory on drive %3
rem  %5 = Y for manual install

cls
if .%1 == .  goto message
if .%5 == .Y goto manual

rem -------------------------------------------------------------------
rem check if powerkey already installed - delete old files if so
if exist %2:\powerkey\pkdata\powerkey.cfg goto DeleteOld

rem -------------------------------------------------------------------
rem new installation
%2:
md \powerkey
md \powerkey\pkdata
goto HardNew

rem -------------------------------------------------------------------
rem update new version - delete old macro files only
:DeleteOld
cls
echo
echo Deleting old PowerKey macros from drive %2: . . .
echo
echo User customized files in \powerkey\data will not be affected.
echo
del %2:\powerkey\*.wpm
del %2:\powerkey\template.*
del %2:\powerkey\*.bc
goto HardUpdate

rem -------------------------------------------------------------------
rem  new installation to hard drive
rem  copy pkdata files to \powerkey\data
:HardNew
if .%2 ==.A goto Floppy
if .%2 ==.B goto Floppy

%2:
cd \powerkey\pkdata
copy %1:\pkdata.exe
pkdata -o
del pkdata.exe

rem -------------------------------------------------------------------
rem installation to hard drive
rem for update, start installation here
:HardUpdate
if .%2 ==.A goto FloppyUpdate
if .%2 ==.B goto FloppyUpdate

%2:
cd \powerkey
copy %1:\pkmacros.exe
pkmacros -o
del pkmacros.exe

%3:
md %4
cd %4
copy %1:\pkkeybds.exe
pkkeybds -o
del pkkeybds.exe
goto end

rem -------------------------------------------------------------------
rem new installation to floppy drive
:Floppy
%1:pkdata.exe %2:\powerkey\pkdata -o
:FloppyUpdate
%1:pkmacros.exe %2:\powerkey -o
%1:pkkeybds.exe %3:%4 -o
goto end

rem -------------------------------------------------------------------
rem install users manual to hard disk
:manual
%2:
cd\powerkey
copy %1:\pkmanual.exe
pkmanual -o
del pkmanual.exe
goto end

rem -------------------------------------------------------------------
rem error
:message
echo 
echo 
echo Please install PowerKey from WordPerfect by executing
echo 
echo the macro INSTALL.WPM.
echo 

rem -------------------------------------------------------------------
rem done
:end

